Search Gradle plugins

Version 2.1.0

Created 06 January 2022.

Swiss army knife for Kotlin/JVM development (deprecated, consider using 'net.bitsandbobs.kradle' instead)

Using the plugins DSL:

plugins {
  id "net.bitsandbobs.kradle-lib" version "2.1.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url "https://plugins.gradle.org/m2/"
    }
  }
  dependencies {
    classpath "net.bitsandbobs.kradle:plugin:2.1.0"
  }
}

apply plugin: "net.bitsandbobs.kradle-lib"

Using the plugins DSL:

plugins {
  id("net.bitsandbobs.kradle-lib") version "2.1.0"
}

Using legacy plugin application:

buildscript {
  repositories {
    maven {
      url = uri("https://plugins.gradle.org/m2/")
    }
  }
  dependencies {
    classpath("net.bitsandbobs.kradle:plugin:2.1.0")
  }
}

apply(plugin = "net.bitsandbobs.kradle-lib")

Learn how to apply plugins to subprojects